import Component from '@glimmer/component';
export declare type InputValidationState = 'valid' | 'invalid' | 'loading' | 'initial';
interface ValidationStateInputArgs {
    state: InputValidationState;
    disabled: boolean;
}
export default class BoxelInputValidationState extends Component<ValidationStateInputArgs> {
    get icon(): string;
    get isInvalid(): boolean;
}
export {};
